Bug 43199 - FORMATTING: Shadow take a border similar to the previous line border
Summary: FORMATTING: Shadow take a border similar to the previous line border
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA target:3.6.0 target:3.5.3
Keywords: regression
Depends on:
Blocks: 44768
  Show dependency treegraph
 
Reported: 2011-11-23 05:57 UTC by bad
Modified: 2012-04-26 08:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
File created as steps are explained (8.72 KB, application/vnd.oasis.opendocument.text)
2011-11-23 05:57 UTC, bad
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bad 2011-11-23 05:57:16 UTC
Created attachment 53812 [details]
File created as steps are explained

Problem description: 
When formating a first line with a border, all subsequent formated lines with a shadow take a line around the shadow.
The same appears with table lines.
No problem on old OpenOffice.org releases, resolved on preceding LibO releases by not merging the border properties with next paragraph (tick box at the bottom of the Borders tab).
Very annoying as I use a lot border and shadow features. In addition, width difficulties in settling border line width (other bugs), formating a LibreOffice document is a pain.

Steps to reproduce:
1. Create a new document, write "Line 1", skip one or more lines, write "Line 2"
2. Select "Line 1", Format>Paragraph, on the Borders tab set all four borders, OK
3. Select "Line 2", Format>Paragraph, on the Borders tab select any position for Shadow style, OK
4. Borders should appear around "Line 2" shadow, if not make a page preview

Current behavior: Shadow take a border similar to the previous line border

Expected behavior: No borders appear around the shadow when formating a paragraph shadow

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Ubuntu; X11; Linux x86_64; rv:8.0) Gecko/20100101 Firefox/8.0
Comment 1 Michael Stahl (CIB) 2012-03-23 13:59:38 UTC
so... this is another border painting regression, and it seems
that it is actually fixed in libreoffice-3-5 now,
but the bug was still there in 3.5.0.3.

reverting my fix for bug 42750 makes the difference.

i don't understand why that fix affects painting of shadows,
but... setting it to fixed now.
Comment 2 Michael Stahl (CIB) 2012-04-26 08:09:43 UTC
fix was reverted on libreoffice-3-5-2 but is now in -3-5-3